Subject: Re: [PATCH] powerpc: add of_find_next_property andof_get_aliased_index

From: Stefan Roese <[email-masked]>
Date: Thu, 26 Jun 2008 20:41:12 +0200

On Thursday 26 June 2008, Sean MacLennan wrote:
> > Well, there's a lot of disagreement on this subject.  Not only do we
> > not agree on a method of enumerating devices, a lot of people have a
> > problem with the concept of enumerating them in the first place!
>
> An interesting point is that I enforced an index in the i2c-ibm_iic
> driver with no disagreement at all ;)

You have been lucky I suppose. :)

I could easily just have used this existing "index" property for the other 4xx 
boards, but expected NAK's for this. That and because FSL uses "cell-index" 
is why I asked prior to sending patches.

Now I have no idea how to support I2C on the other 4xx boards. Perhaps Josh 
could advise how this should be done?

Best regards,
Stefan